Linux: blk_update_request

Linux: blk_update_request

di Pubblicato: 29 Nov 2018 0 commenti

Era da un pezzo che non vedevo errori simili. E avendo a che fare di recente con una versione vecchia di Vmware ecco che rispuntano fuori.

L’errore che mi sono trovato nella console (quindi difficilmente visibile via ssh a meno che non date un occhio al syslog in /var/log) è il seguente:

blk_update_request: I/O error, dev fd0, sector 0

Cosa succede? In pratica anche se non selezionato dalle opzioni di Vmware in modo esplicito, viene esposto il vetusto floppy disk, e linux si trova a vedere un device che in realtà non ha modo di gestire. In pratica il modulo è caricato a livello del kernel ma il sistema non ce l’ha realmente. Probabile che alcune dipendenze lo richiedano e da qui il messaggio di errore che si può ripetere con una certa frequenza.

La soluzione è quella di bannare il floppy disk con questi comandi via bash:

sudo rmmod floppy
echo "blacklist floppy" | sudo tee /etc/modprobe.d/blacklist-floppy.conf
sudo dpkg-reconfigure initramfs-tools

Il comando rmmod è specifico per la rimozione dei moduli dal kernel. La seconda riga si crea un file blacklist-floppy con il contenuto blacklist-floppy all’interno della configurazione di modprobe, anche questo relativo ai moduli del kernel. L’ultima riga applica  di fatto le due precedenti.

Vuoi dire o aggiungere qualcosa?

sezione commenti aperta al pubblico

Non ci sono ancora commenti!

Puoi essere il primo a commentare.

Rispondi

Questo sito usa Akismet per ridurre lo spam. Scopri come i tuoi dati vengono elaborati.